/* ###*B*###
 * ERIKA Enterprise - a tiny RTOS for small microcontrollers
 *
 * Copyright (C) 2002-2012  Evidence Srl
 *
 * This file is part of ERIKA Enterprise.
 *
 * ERIKA Enterprise is free software; you can redistribute it
 * and/or modify it under the terms of the GNU General Public License
 * version 2 as published by the Free Software Foundation,
 * (with a special exception described below).
 *
 * Linking this code statically or dynamically with other modules is
 * making a combined work based on this code.  Thus, the terms and
 * conditions of the GNU General Public License cover the whole
 * combination.
 *
 * As a special exception, the copyright holders of this library give you
 * permission to link this code with independent modules to produce an
 * executable, regardless of the license terms of these independent
 * modules, and to copy and distribute the resulting executable under
 * terms of your choice, provided that you also meet, for each linked
 * independent module, the terms and conditions of the license of that
 * module.  An independent module is a module which is not derived from
 * or based on this library.  If you modify this code, you may extend
 * this exception to your version of the code, but you are not
 * obligated to do so.  If you do not wish to do so, delete this
 * exception statement from your version.
 *
 * ERIKA Enterprise is distributed in the hope that it will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty
 * of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License version 2 for more details.
 *
 * You should have received a copy of the GNU General Public License
 * version 2 along with ERIKA Enterprise; if not, write to the
 * Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA 02110-1301 USA.
 * ###*E*### */

/** 
 *  @file	ee_irq.h
 *  @brief	MCU IRQ Sources.
 *  @author	Alessandro Biondi
 *  @date	2013
 */ 

#ifndef __INCLUDE_NRF51X22_IRQ_SOURCES_H__
#define __INCLUDE_NRF51X22_IRQ_SOURCES_H__


#if defined( __NORDIC__ ) && defined( __NRF51X22__ )


#ifdef	EE_CORTEX_MX_NRF51X22_POWER_CLOCK_ISR
#define	EE_CORTEX_MX_INT_00_ISR	EE_CORTEX_MX_NRF51X22_POWER_CLOCK_ISR
#ifdef	EE_CORTEX_MX_NRF51X22_POWER_CLOCK_ISR_PRI
#define	EE_CORTEX_MX_INT_00_ISR_PRI	EE_CORTEX_MX_NRF51X22_POWER_CLOCK_ISR_PRI
#endif /* EE_CORTEX_MX_NRF51X22_POWER_CLOCK_ISR_PRI */
#endif /* EE_CORTEX_MX_NRF51X22_POWER_CLOCK_ISR */

#ifdef	EE_CORTEX_MX_NRF51X22_RADIO_ISR
#define	EE_CORTEX_MX_INT_01_ISR	EE_CORTEX_MX_NRF51X22_RADIO_ISR
#ifdef	EE_CORTEX_MX_NRF51X22_RADIO_ISR_PRI
#define	EE_CORTEX_MX_INT_01_ISR_PRI	EE_CORTEX_MX_NRF51X22_RADIO_ISR_PRI
#endif /* EE_CORTEX_MX_NRF51X22_RADIO_ISR_PRI */
#endif /* EE_CORTEX_MX_NRF51X22_RADIO_ISR */

#ifdef	EE_CORTEX_MX_NRF51X22_UART0_ISR
#define	EE_CORTEX_MX_INT_02_ISR	EE_CORTEX_MX_NRF51X22_UART0_ISR
#ifdef	EE_CORTEX_MX_NRF51X22_UART0_ISR_PRI
#define	EE_CORTEX_MX_INT_02_ISR_PRI	EE_CORTEX_MX_NRF51X22_UART0_ISR_PRI
#endif /* EE_CORTEX_MX_NRF51X22_UART0_ISR_PRI */
#endif /* EE_CORTEX_MX_NRF51X22_UART0_ISR */

#ifdef	EE_CORTEX_MX_NRF51X22_SPI0_TWI0_ISR
#define	EE_CORTEX_MX_INT_03_ISR	EE_CORTEX_MX_NRF51X22_SPI0_TWI0_ISR
#ifdef	EE_CORTEX_MX_NRF51X22_SPI0_TWI0_ISR_PRI
#define	EE_CORTEX_MX_INT_03_ISR_PRI	EE_CORTEX_MX_NRF51X22_SPI0_TWI0_ISR_PRI
#endif /* EE_CORTEX_MX_NRF51X22_SPI0_TWI0_ISR_PRI */
#endif /* EE_CORTEX_MX_NRF51X22_SPI0_TWI0_ISR */

#ifdef	EE_CORTEX_MX_NRF51X22_SPI1_TWI1_ISR
#define	EE_CORTEX_MX_INT_04_ISR	EE_CORTEX_MX_NRF51X22_SPI1_TWI1_ISR
#ifdef	EE_CORTEX_MX_NRF51X22_SPI1_TWI1_ISR_PRI
#define	EE_CORTEX_MX_INT_04_ISR_PRI	EE_CORTEX_MX_NRF51X22_SPI1_TWI1_ISR_PRI
#endif /* EE_CORTEX_MX_NRF51X22_SPI1_TWI1_ISR_PRI */
#endif /* EE_CORTEX_MX_NRF51X22_SPI1_TWI1_ISR */

#ifdef	EE_CORTEX_MX_NRF51X22_GPIOTE_ISR
#define	EE_CORTEX_MX_INT_06_ISR	EE_CORTEX_MX_NRF51X22_GPIOTE_ISR
#ifdef	EE_CORTEX_MX_NRF51X22_GPIOTE_ISR_PRI
#define	EE_CORTEX_MX_INT_06_ISR_PRI	EE_CORTEX_MX_NRF51X22_GPIOTE_ISR_PRI
#endif /* EE_CORTEX_MX_NRF51X22_GPIOTE_ISR_PRI */
#endif /* EE_CORTEX_MX_NRF51X22_GPIOTE_ISR */

#ifdef	EE_CORTEX_MX_NRF51X22_ADC_ISR
#define	EE_CORTEX_MX_INT_07_ISR	EE_CORTEX_MX_NRF51X22_ADC_ISR
#ifdef	EE_CORTEX_MX_NRF51X22_ADC_ISR_PRI
#define	EE_CORTEX_MX_INT_07_ISR_PRI	EE_CORTEX_MX_NRF51X22_ADC_ISR_PRI
#endif /* EE_CORTEX_MX_NRF51X22_ADC_ISR_PRI */
#endif /* EE_CORTEX_MX_NRF51X22_ADC_ISR */

#ifdef	EE_CORTEX_MX_NRF51X22_TIMER0_ISR
#define	EE_CORTEX_MX_INT_08_ISR	EE_CORTEX_MX_NRF51X22_TIMER0_ISR
#ifdef	EE_CORTEX_MX_NRF51X22_TIMER0_ISR_PRI
#define	EE_CORTEX_MX_INT_08_ISR_PRI	EE_CORTEX_MX_NRF51X22_TIMER0_ISR_PRI
#endif /* EE_CORTEX_MX_NRF51X22_TIMER0_ISR_PRI */
#endif /* EE_CORTEX_MX_NRF51X22_TIMER0_ISR */

#ifdef	EE_CORTEX_MX_NRF51X22_TIMER1_ISR
#define	EE_CORTEX_MX_INT_09_ISR	EE_CORTEX_MX_NRF51X22_TIMER1_ISR
#ifdef	EE_CORTEX_MX_NRF51X22_TIMER1_ISR_PRI
#define	EE_CORTEX_MX_INT_09_ISR_PRI	EE_CORTEX_MX_NRF51X22_TIMER1_ISR_PRI
#endif /* EE_CORTEX_MX_NRF51X22_TIMER1_ISR_PRI */
#endif /* EE_CORTEX_MX_NRF51X22_TIMER1_ISR */

#ifdef	EE_CORTEX_MX_NRF51X22_TIMER2_ISR
#define	EE_CORTEX_MX_INT_0A_ISR	EE_CORTEX_MX_NRF51X22_TIMER2_ISR
#ifdef	EE_CORTEX_MX_NRF51X22_TIMER2_ISR_PRI
#define	EE_CORTEX_MX_INT_0A_ISR_PRI	EE_CORTEX_MX_NRF51X22_TIMER2_ISR_PRI
#endif /* EE_CORTEX_MX_NRF51X22_TIMER2_ISR_PRI */
#endif /* EE_CORTEX_MX_NRF51X22_TIMER2_ISR */

#ifdef	EE_CORTEX_MX_NRF51X22_RTC0_ISR
#define	EE_CORTEX_MX_INT_0B_ISR	EE_CORTEX_MX_NRF51X22_RTC0_ISR
#ifdef	EE_CORTEX_MX_NRF51X22_RTC0_ISR_PRI
#define	EE_CORTEX_MX_INT_0B_ISR_PRI	EE_CORTEX_MX_NRF51X22_RTC0_ISR_PRI
#endif /* EE_CORTEX_MX_NRF51X22_RTC0_ISR_PRI */
#endif /* EE_CORTEX_MX_NRF51X22_RTC0_ISR */

#ifdef	EE_CORTEX_MX_NRF51X22_TEMP_ISR
#define	EE_CORTEX_MX_INT_0C_ISR	EE_CORTEX_MX_NRF51X22_TEMP_ISR
#ifdef	EE_CORTEX_MX_NRF51X22_TEMP_ISR_PRI
#define	EE_CORTEX_MX_INT_0C_ISR_PRI	EE_CORTEX_MX_NRF51X22_TEMP_ISR_PRI
#endif /* EE_CORTEX_MX_NRF51X22_TEMP_ISR_PRI */
#endif /* EE_CORTEX_MX_NRF51X22_TEMP_ISR */

#ifdef	EE_CORTEX_MX_NRF51X22_RNG_ISR
#define	EE_CORTEX_MX_INT_0D_ISR	EE_CORTEX_MX_NRF51X22_RNG_ISR
#ifdef	EE_CORTEX_MX_NRF51X22_RNG_ISR_PRI
#define	EE_CORTEX_MX_INT_0D_ISR_PRI	EE_CORTEX_MX_NRF51X22_RNG_ISR_PRI
#endif /* EE_CORTEX_MX_NRF51X22_RNG_ISR_PRI */
#endif /* EE_CORTEX_MX_NRF51X22_RNG_ISR */

#ifdef	EE_CORTEX_MX_NRF51X22_ECB_ISR
#define	EE_CORTEX_MX_INT_0E_ISR	EE_CORTEX_MX_NRF51X22_ECB_ISR
#ifdef	EE_CORTEX_MX_NRF51X22_ECB_ISR_PRI
#define	EE_CORTEX_MX_INT_0E_ISR_PRI	EE_CORTEX_MX_NRF51X22_ECB_ISR_PRI
#endif /* EE_CORTEX_MX_NRF51X22_ECB_ISR_PRI */
#endif /* EE_CORTEX_MX_NRF51X22_ECB_ISR */

#ifdef	EE_CORTEX_MX_NRF51X22_CCM_AAR_ISR
#define	EE_CORTEX_MX_INT_0F_ISR	EE_CORTEX_MX_NRF51X22_CCM_AAR_ISR
#ifdef	EE_CORTEX_MX_NRF51X22_CCM_AAR_ISR_PRI
#define	EE_CORTEX_MX_INT_0F_ISR_PRI	EE_CORTEX_MX_NRF51X22_CCM_AAR_ISR_PRI
#endif /* EE_CORTEX_MX_NRF51X22_CCM_AAR_ISR_PRI */
#endif /* EE_CORTEX_MX_NRF51X22_CCM_AAR_ISR */

#ifdef	EE_CORTEX_MX_NRF51X22_WDT_ISR
#define	EE_CORTEX_MX_INT_10_ISR	EE_CORTEX_MX_NRF51X22_WDT_ISR
#ifdef	EE_CORTEX_MX_NRF51X22_WDT_ISR_PRI
#define	EE_CORTEX_MX_INT_10_ISR_PRI	EE_CORTEX_MX_NRF51X22_WDT_ISR_PRI
#endif /* EE_CORTEX_MX_NRF51X22_WDT_ISR_PRI */
#endif /* EE_CORTEX_MX_NRF51X22_WDT_ISR */

#ifdef	EE_CORTEX_MX_NRF51X22_RTC1_ISR
#define	EE_CORTEX_MX_INT_11_ISR	EE_CORTEX_MX_NRF51X22_RTC1_ISR
#ifdef	EE_CORTEX_MX_NRF51X22_RTC1_ISR_PRI
#define	EE_CORTEX_MX_INT_11_ISR_PRI	EE_CORTEX_MX_NRF51X22_RTC1_ISR_PRI
#endif /* EE_CORTEX_MX_NRF51X22_RTC1_ISR_PRI */
#endif /* EE_CORTEX_MX_NRF51X22_RTC1_ISR */

#ifdef	EE_CORTEX_MX_NRF51X22_QDEC_ISR
#define	EE_CORTEX_MX_INT_12_ISR	EE_CORTEX_MX_NRF51X22_QDEC_ISR
#ifdef	EE_CORTEX_MX_NRF51X22_QDEC_ISR_PRI
#define	EE_CORTEX_MX_INT_12_ISR_PRI	EE_CORTEX_MX_NRF51X22_QDEC_ISR_PRI
#endif /* EE_CORTEX_MX_NRF51X22_QDEC_ISR_PRI */
#endif /* EE_CORTEX_MX_NRF51X22_QDEC_ISR */

#ifdef	EE_CORTEX_MX_NRF51X22_WUCOMP_COMP_ISR
#define	EE_CORTEX_MX_INT_13_ISR	EE_CORTEX_MX_NRF51X22_WUCOMP_COMP_ISR
#ifdef	EE_CORTEX_MX_NRF51X22_WUCOMP_COMP_ISR_PRI
#define	EE_CORTEX_MX_INT_13_ISR_PRI	EE_CORTEX_MX_NRF51X22_WUCOMP_COMP_ISR_PRI
#endif /* EE_CORTEX_MX_NRF51X22_WUCOMP_COMP_ISR_PRI */
#endif /* EE_CORTEX_MX_NRF51X22_WUCOMP_COMP_ISR */

#ifdef	EE_CORTEX_MX_NRF51X22_SWI0_ISR
#define	EE_CORTEX_MX_INT_14_ISR	EE_CORTEX_MX_NRF51X22_SWI0_ISR
#ifdef	EE_CORTEX_MX_NRF51X22_SWI0_ISR_PRI
#define	EE_CORTEX_MX_INT_14_ISR_PRI	EE_CORTEX_MX_NRF51X22_SWI0_ISR_PRI
#endif /* EE_CORTEX_MX_NRF51X22_SWI0_ISR_PRI */
#endif /* EE_CORTEX_MX_NRF51X22_SWI0_ISR */

#ifdef	EE_CORTEX_MX_NRF51X22_SWI1_ISR
#define	EE_CORTEX_MX_INT_15_ISR	EE_CORTEX_MX_NRF51X22_SWI1_ISR
#ifdef	EE_CORTEX_MX_NRF51X22_SWI1_ISR_PRI
#define	EE_CORTEX_MX_INT_15_ISR_PRI	EE_CORTEX_MX_NRF51X22_SWI1_ISR_PRI
#endif /* EE_CORTEX_MX_NRF51X22_SWI1_ISR_PRI */
#endif /* EE_CORTEX_MX_NRF51X22_SWI1_ISR */

#ifdef	EE_CORTEX_MX_NRF51X22_SWI2_ISR
#define	EE_CORTEX_MX_INT_16_ISR	EE_CORTEX_MX_NRF51X22_SWI2_ISR
#ifdef	EE_CORTEX_MX_NRF51X22_SWI2_ISR_PRI
#define	EE_CORTEX_MX_INT_16_ISR_PRI	EE_CORTEX_MX_NRF51X22_SWI2_ISR_PRI
#endif /* EE_CORTEX_MX_NRF51X22_SWI2_ISR_PRI */
#endif /* EE_CORTEX_MX_NRF51X22_SWI2_ISR */

#ifdef	EE_CORTEX_MX_NRF51X22_SWI3_ISR
#define	EE_CORTEX_MX_INT_17_ISR	EE_CORTEX_MX_NRF51X22_SWI3_ISR
#ifdef	EE_CORTEX_MX_NRF51X22_SWI3_ISR_PRI
#define	EE_CORTEX_MX_INT_17_ISR_PRI	EE_CORTEX_MX_NRF51X22_SWI3_ISR_PRI
#endif /* EE_CORTEX_MX_NRF51X22_SWI3_ISR_PRI */
#endif /* EE_CORTEX_MX_NRF51X22_SWI3_ISR */

#ifdef	EE_CORTEX_MX_NRF51X22_SWI4_ISR
#define	EE_CORTEX_MX_INT_18_ISR	EE_CORTEX_MX_NRF51X22_SWI4_ISR
#ifdef	EE_CORTEX_MX_NRF51X22_SWI4_ISR_PRI
#define	EE_CORTEX_MX_INT_18_ISR_PRI	EE_CORTEX_MX_NRF51X22_SWI4_ISR_PRI
#endif /* EE_CORTEX_MX_NRF51X22_SWI4_ISR_PRI */
#endif /* EE_CORTEX_MX_NRF51X22_SWI4_ISR */

#ifdef	EE_CORTEX_MX_NRF51X22_SWI5_ISR
#define	EE_CORTEX_MX_INT_19_ISR	EE_CORTEX_MX_NRF51X22_SWI5_ISR
#ifdef	EE_CORTEX_MX_NRF51X22_SWI5_ISR_PRI
#define	EE_CORTEX_MX_INT_19_ISR_PRI	EE_CORTEX_MX_NRF51X22_SWI5_ISR_PRI
#endif /* EE_CORTEX_MX_NRF51X22_SWI5_ISR_PRI */
#endif /* EE_CORTEX_MX_NRF51X22_SWI5_ISR */


#endif	/* __NORDIC__ && __NRF51X22__ */

#endif /* __INCLUDE_NRF51X22_IRQ_SOURCES_H__ */
