/* ###*B*###
 * ERIKA Enterprise - a tiny RTOS for small microcontrollers
 *
 * Copyright (C) 2002-2012  Evidence Srl
 *
 * This file is part of ERIKA Enterprise.
 *
 * ERIKA Enterprise is free software; you can redistribute it
 * and/or modify it under the terms of the GNU General Public License
 * version 2 as published by the Free Software Foundation,
 * (with a special exception described below).
 *
 * Linking this code statically or dynamically with other modules is
 * making a combined work based on this code.  Thus, the terms and
 * conditions of the GNU General Public License cover the whole
 * combination.
 *
 * As a special exception, the copyright holders of this library give you
 * permission to link this code with independent modules to produce an
 * executable, regardless of the license terms of these independent
 * modules, and to copy and distribute the resulting executable under
 * terms of your choice, provided that you also meet, for each linked
 * independent module, the terms and conditions of the license of that
 * module.  An independent module is a module which is not derived from
 * or based on this library.  If you modify this code, you may extend
 * this exception to your version of the code, but you are not
 * obligated to do so.  If you do not wish to do so, delete this
 * exception statement from your version.
 *
 * ERIKA Enterprise is distributed in the hope that it will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty
 * of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License version 2 for more details.
 *
 * You should have received a copy of the GNU General Public License
 * version 2 along with ERIKA Enterprise; if not, write to the
 * Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA 02110-1301 USA.
 * ###*E*### */

/** 
 *  @file	ee_irq.h
 *  @brief	MCU IRQ Sources.
 *  @author	Giuseppe Serano
 *  @date	2011
 */ 

#ifndef __INCLUDE_STELLARIS_LM4F232XXXX_IRQ_SOURCES_H__
#define __INCLUDE_STELLARIS_LM4F232XXXX_IRQ_SOURCES_H__

#if defined( __STELLARIS__ ) && defined( __LM4F232xxxx__ )


#ifdef	EE_CORTEX_MX_GPIO_A_ISR
#define	EE_CORTEX_MX_INT_00_ISR		EE_CORTEX_MX_GPIO_A_ISR
#ifdef	EE_CORTEX_MX_GPIO_A_ISR_PRI
#define	EE_CORTEX_MX_INT_00_ISR_PRI	EE_CORTEX_MX_GPIO_A_ISR_PRI
#endif	/* EE_CORTEX_MX_GPIO_A_ISR_PRI */
#endif	/* EE_CORTEX_MX_GPIO_A_ISR */


#ifdef	EE_CORTEX_MX_GPIO_B_ISR
#define	EE_CORTEX_MX_INT_01_ISR		EE_CORTEX_MX_GPIO_B_ISR
#ifdef	EE_CORTEX_MX_GPIO_B_ISR_PRI
#define	EE_CORTEX_MX_INT_01_ISR_PRI	EE_CORTEX_MX_GPIO_B_ISR_PRI
#endif	/* EE_CORTEX_MX_GPIO_B_ISR_PRI */
#endif	/* EE_CORTEX_MX_GPIO_B_ISR */


#ifdef	EE_CORTEX_MX_GPIO_C_ISR
#define	EE_CORTEX_MX_INT_02_ISR		EE_CORTEX_MX_GPIO_C_ISR
#ifdef	EE_CORTEX_MX_GPIO_C_ISR_PRI
#define	EE_CORTEX_MX_INT_02_ISR_PRI	EE_CORTEX_MX_GPIO_C_ISR_PRI
#endif	/* EE_CORTEX_MX_GPIO_C_ISR_PRI */
#endif	/* EE_CORTEX_MX_GPIO_C_ISR */


#ifdef	EE_CORTEX_MX_GPIO_D_ISR
#define	EE_CORTEX_MX_INT_03_ISR		EE_CORTEX_MX_GPIO_D_ISR
#ifdef	EE_CORTEX_MX_GPIO_D_ISR_PRI
#define	EE_CORTEX_MX_INT_03_ISR_PRI	EE_CORTEX_MX_GPIO_D_ISR_PRI
#endif	/* EE_CORTEX_MX_GPIO_D_ISR_PRI */
#endif	/* EE_CORTEX_MX_GPIO_D_ISR */


#ifdef	EE_CORTEX_MX_GPIO_E_ISR
#define	EE_CORTEX_MX_INT_04_ISR		EE_CORTEX_MX_GPIO_E_ISR
#ifdef	EE_CORTEX_MX_GPIO_E_ISR_PRI
#define	EE_CORTEX_MX_INT_04_ISR_PRI	EE_CORTEX_MX_GPIO_E_ISR_PRI
#endif	/* EE_CORTEX_MX_GPIO_E_ISR_PRI */
#endif	/* EE_CORTEX_MX_GPIO_E_ISR */

#ifdef	EE_CORTEX_MX_GPIO_F_ISR
#define	EE_CORTEX_MX_INT_1E_ISR		EE_CORTEX_MX_GPIO_F_ISR
#ifdef	EE_CORTEX_MX_GPIO_F_ISR_PRI
#define	EE_CORTEX_MX_INT_1E_ISR_PRI	EE_CORTEX_MX_GPIO_F_ISR_PRI
#endif	/* EE_CORTEX_MX_GPIO_F_ISR_PRI */
#endif	/* EE_CORTEX_MX_GPIO_F_ISR */


#ifdef	EE_CORTEX_MX_GPIO_G_ISR
#define	EE_CORTEX_MX_INT_1F_ISR		EE_CORTEX_MX_GPIO_G_ISR
#ifdef	EE_CORTEX_MX_GPIO_G_ISR_PRI
#define	EE_CORTEX_MX_INT_1F_ISR_PRI	EE_CORTEX_MX_GPIO_G_ISR_PRI
#endif	/* EE_CORTEX_MX_GPIO_G_ISR_PRI */
#endif	/* EE_CORTEX_MX_GPIO_G_ISR */


#ifdef	EE_CORTEX_MX_GPIO_H_ISR
#define	EE_CORTEX_MX_INT_20_ISR		EE_CORTEX_MX_GPIO_H_ISR
#ifdef	EE_CORTEX_MX_GPIO_H_ISR_PRI
#define	EE_CORTEX_MX_INT_20_ISR_PRI	EE_CORTEX_MX_GPIO_H_ISR_PRI
#endif	/* EE_CORTEX_MX_GPIO_H_ISR_PRI */
#endif	/* EE_CORTEX_MX_GPIO_H_ISR */


#ifdef	EE_CORTEX_MX_GPIO_J_ISR
#define	EE_CORTEX_MX_INT_36_ISR		EE_CORTEX_MX_GPIO_J_ISR
#ifdef	EE_CORTEX_MX_GPIO_J_ISR_PRI
#define	EE_CORTEX_MX_INT_36_ISR_PRI	EE_CORTEX_MX_GPIO_J_ISR_PRI
#endif	/* EE_CORTEX_MX_GPIO_J_ISR_PRI */
#endif	/* EE_CORTEX_MX_GPIO_J_ISR */


#ifdef	EE_CORTEX_MX_GPIO_K_ISR
#define	EE_CORTEX_MX_INT_37_ISR		EE_CORTEX_MX_GPIO_K_ISR
#ifdef	EE_CORTEX_MX_GPIO_K_ISR_PRI
#define	EE_CORTEX_MX_INT_37_ISR_PRI	EE_CORTEX_MX_GPIO_K_ISR_PRI
#endif	/* EE_CORTEX_MX_GPIO_K_ISR_PRI */
#endif	/* EE_CORTEX_MX_GPIO_K_ISR */


#ifdef	EE_CORTEX_MX_GPIO_L_ISR
#define	EE_CORTEX_MX_INT_38_ISR		EE_CORTEX_MX_GPIO_L_ISR
#ifdef	EE_CORTEX_MX_GPIO_L_ISR_PRI
#define	EE_CORTEX_MX_INT_38_ISR_PRI	EE_CORTEX_MX_GPIO_L_ISR_PRI
#endif	/* EE_CORTEX_MX_GPIO_L_ISR_PRI */
#endif	/* EE_CORTEX_MX_GPIO_L_ISR */


#ifdef	EE_CORTEX_MX_GPIO_M_ISR
#define	EE_CORTEX_MX_INT_6F_ISR		EE_CORTEX_MX_GPIO_M_ISR
#ifdef	EE_CORTEX_MX_GPIO_M_ISR_PRI
#define	EE_CORTEX_MX_INT_6F_ISR_PRI	EE_CORTEX_MX_GPIO_M_ISR_PRI
#endif	/* EE_CORTEX_MX_GPIO_M_ISR_PRI */
#endif	/* EE_CORTEX_MX_GPIO_M_ISR */


#ifdef	EE_CORTEX_MX_GPIO_N_ISR
#define	EE_CORTEX_MX_INT_70_ISR		EE_CORTEX_MX_GPIO_N_ISR
#ifdef	EE_CORTEX_MX_GPIO_N_ISR_PRI
#define	EE_CORTEX_MX_INT_70_ISR_PRI	EE_CORTEX_MX_GPIO_N_ISR_PRI
#endif	/* EE_CORTEX_MX_GPIO_N_ISR_PRI */
#endif	/* EE_CORTEX_MX_GPIO_N_ISR */


#ifdef	EE_CORTEX_MX_GPIO_P0_ISR
#define	EE_CORTEX_MX_INT_74_ISR		EE_CORTEX_MX_GPIO_P0_ISR
#ifdef	EE_CORTEX_MX_GPIO_P0_ISR_PRI
#define	EE_CORTEX_MX_INT_74_ISR_PRI	EE_CORTEX_MX_GPIO_P0_ISR_PRI
#endif	/* EE_CORTEX_MX_GPIO_P0_ISR_PRI */
#endif	/* EE_CORTEX_MX_GPIO_P0_ISR */


#ifdef	EE_CORTEX_MX_GPIO_P1_ISR
#define	EE_CORTEX_MX_INT_75_ISR		EE_CORTEX_MX_GPIO_P1_ISR
#ifdef	EE_CORTEX_MX_GPIO_P1_ISR_PRI
#define	EE_CORTEX_MX_INT_75_ISR_PRI	EE_CORTEX_MX_GPIO_P1_ISR_PRI
#endif	/* EE_CORTEX_MX_GPIO_P1_ISR_PRI */
#endif	/* EE_CORTEX_MX_GPIO_P1_ISR */


#ifdef	EE_CORTEX_MX_GPIO_P2_ISR
#define	EE_CORTEX_MX_INT_76_ISR		EE_CORTEX_MX_GPIO_P2_ISR
#ifdef	EE_CORTEX_MX_GPIO_P2_ISR_PRI
#define	EE_CORTEX_MX_INT_76_ISR_PRI	EE_CORTEX_MX_GPIO_P2_ISR_PRI
#endif	/* EE_CORTEX_MX_GPIO_P2_ISR_PRI */
#endif	/* EE_CORTEX_MX_GPIO_P2_ISR */


#ifdef	EE_CORTEX_MX_GPIO_P3_ISR
#define	EE_CORTEX_MX_INT_77_ISR		EE_CORTEX_MX_GPIO_P3_ISR
#ifdef	EE_CORTEX_MX_GPIO_P3_ISR_PRI
#define	EE_CORTEX_MX_INT_77_ISR_PRI	EE_CORTEX_MX_GPIO_P3_ISR_PRI
#endif	/* EE_CORTEX_MX_GPIO_P3_ISR_PRI */
#endif	/* EE_CORTEX_MX_GPIO_P3_ISR */


#ifdef	EE_CORTEX_MX_GPIO_P4_ISR
#define	EE_CORTEX_MX_INT_78_ISR		EE_CORTEX_MX_GPIO_P4_ISR
#ifdef	EE_CORTEX_MX_GPIO_P4_ISR_PRI
#define	EE_CORTEX_MX_INT_78_ISR_PRI	EE_CORTEX_MX_GPIO_P4_ISR_PRI
#endif	/* EE_CORTEX_MX_GPIO_P4_ISR_PRI */
#endif	/* EE_CORTEX_MX_GPIO_P4_ISR */


#ifdef	EE_CORTEX_MX_GPIO_P5_ISR
#define	EE_CORTEX_MX_INT_79_ISR		EE_CORTEX_MX_GPIO_P5_ISR
#ifdef	EE_CORTEX_MX_GPIO_P5_ISR_PRI
#define	EE_CORTEX_MX_INT_79_ISR_PRI	EE_CORTEX_MX_GPIO_P5_ISR_PRI
#endif	/* EE_CORTEX_MX_GPIO_P5_ISR_PRI */
#endif	/* EE_CORTEX_MX_GPIO_P5_ISR */


#ifdef	EE_CORTEX_MX_GPIO_P6_ISR
#define	EE_CORTEX_MX_INT_7A_ISR		EE_CORTEX_MX_GPIO_P6_ISR
#ifdef	EE_CORTEX_MX_GPIO_P6_ISR_PRI
#define	EE_CORTEX_MX_INT_7A_ISR_PRI	EE_CORTEX_MX_GPIO_P6_ISR_PRI
#endif	/* EE_CORTEX_MX_GPIO_P6_ISR_PRI */
#endif	/* EE_CORTEX_MX_GPIO_P6_ISR */


#ifdef	EE_CORTEX_MX_GPIO_P7_ISR
#define	EE_CORTEX_MX_INT_7B_ISR		EE_CORTEX_MX_GPIO_P7_ISR
#ifdef	EE_CORTEX_MX_GPIO_P7_ISR_PRI
#define	EE_CORTEX_MX_INT_7B_ISR_PRI	EE_CORTEX_MX_GPIO_P7_ISR_PRI
#endif	/* EE_CORTEX_MX_GPIO_P7_ISR_PRI */
#endif	/* EE_CORTEX_MX_GPIO_P7_ISR */


#ifdef	EE_CORTEX_MX_GPIO_Q0_ISR
#define	EE_CORTEX_MX_INT_7C_ISR		EE_CORTEX_MX_GPIO_Q0_ISR
#ifdef	EE_CORTEX_MX_GPIO_Q0_ISR_PRI
#define	EE_CORTEX_MX_INT_7C_ISR_PRI	EE_CORTEX_MX_GPIO_Q0_ISR_PRI
#endif	/* EE_CORTEX_MX_GPIO_Q0_ISR_PRI */
#endif	/* EE_CORTEX_MX_GPIO_Q0_ISR */


#ifdef	EE_CORTEX_MX_GPIO_Q1_ISR
#define	EE_CORTEX_MX_INT_7D_ISR		EE_CORTEX_MX_GPIO_Q1_ISR
#ifdef	EE_CORTEX_MX_GPIO_Q1_ISR_PRI
#define	EE_CORTEX_MX_INT_7D_ISR_PRI	EE_CORTEX_MX_GPIO_Q1_ISR_PRI
#endif	/* EE_CORTEX_MX_GPIO_Q1_ISR_PRI */
#endif	/* EE_CORTEX_MX_GPIO_Q1_ISR */


#ifdef	EE_CORTEX_MX_GPIO_Q2_ISR
#define	EE_CORTEX_MX_INT_7E_ISR		EE_CORTEX_MX_GPIO_Q2_ISR
#ifdef	EE_CORTEX_MX_GPIO_Q2_ISR_PRI
#define	EE_CORTEX_MX_INT_7E_ISR_PRI	EE_CORTEX_MX_GPIO_Q2_ISR_PRI
#endif	/* EE_CORTEX_MX_GPIO_Q2_ISR_PRI */
#endif	/* EE_CORTEX_MX_GPIO_Q2_ISR */


#ifdef	EE_CORTEX_MX_GPIO_Q3_ISR
#define	EE_CORTEX_MX_INT_7F_ISR		EE_CORTEX_MX_GPIO_Q3_ISR
#ifdef	EE_CORTEX_MX_GPIO_Q3_ISR_PRI
#define	EE_CORTEX_MX_INT_7F_ISR_PRI	EE_CORTEX_MX_GPIO_Q3_ISR_PRI
#endif	/* EE_CORTEX_MX_GPIO_Q3_ISR_PRI */
#endif	/* EE_CORTEX_MX_GPIO_Q3_ISR */


#ifdef	EE_CORTEX_MX_GPIO_Q4_ISR
#define	EE_CORTEX_MX_INT_80_ISR		EE_CORTEX_MX_GPIO_Q4_ISR
#ifdef	EE_CORTEX_MX_GPIO_Q4_ISR_PRI
#define	EE_CORTEX_MX_INT_80_ISR_PRI	EE_CORTEX_MX_GPIO_Q4_ISR_PRI
#endif	/* EE_CORTEX_MX_GPIO_Q4_ISR_PRI */
#endif	/* EE_CORTEX_MX_GPIO_Q4_ISR */


#ifdef	EE_CORTEX_MX_GPIO_Q5_ISR
#define	EE_CORTEX_MX_INT_81_ISR		EE_CORTEX_MX_GPIO_Q5_ISR
#ifdef	EE_CORTEX_MX_GPIO_Q5_ISR_PRI
#define	EE_CORTEX_MX_INT_81_ISR_PRI	EE_CORTEX_MX_GPIO_Q5_ISR_PRI
#endif	/* EE_CORTEX_MX_GPIO_Q5_ISR_PRI */
#endif	/* EE_CORTEX_MX_GPIO_Q5_ISR */


#ifdef	EE_CORTEX_MX_GPIO_Q6_ISR
#define	EE_CORTEX_MX_INT_82_ISR		EE_CORTEX_MX_GPIO_Q6_ISR
#ifdef	EE_CORTEX_MX_GPIO_Q6_ISR_PRI
#define	EE_CORTEX_MX_INT_82_ISR_PRI	EE_CORTEX_MX_GPIO_Q6_ISR_PRI
#endif	/* EE_CORTEX_MX_GPIO_Q6_ISR_PRI */
#endif	/* EE_CORTEX_MX_GPIO_Q6_ISR */


#ifdef	EE_CORTEX_MX_GPIO_Q7_ISR
#define	EE_CORTEX_MX_INT_83_ISR		EE_CORTEX_MX_GPIO_Q7_ISR
#ifdef	EE_CORTEX_MX_GPIO_Q7_ISR_PRI
#define	EE_CORTEX_MX_INT_83_ISR_PRI	EE_CORTEX_MX_GPIO_Q7_ISR_PRI
#endif	/* EE_CORTEX_MX_GPIO_Q7_ISR_PRI */
#endif	/* EE_CORTEX_MX_GPIO_Q7_ISR */


#ifdef	EE_CORTEX_MX_GPIO_R_ISR
#define	EE_CORTEX_MX_INT_84_ISR		EE_CORTEX_MX_GPIO_R_ISR
#ifdef	EE_CORTEX_MX_GPIO_R_ISR_PRI
#define	EE_CORTEX_MX_INT_84_ISR_PRI	EE_CORTEX_MX_GPIO_R_ISR_PRI
#endif	/* EE_CORTEX_MX_GPIO_R_ISR_PRI */
#endif	/* EE_CORTEX_MX_GPIO_R_ISR */


#ifdef	EE_CORTEX_MX_GPIO_S_ISR
#define	EE_CORTEX_MX_INT_85_ISR		EE_CORTEX_MX_GPIO_S_ISR
#ifdef	EE_CORTEX_MX_GPIO_S_ISR_PRI
#define	EE_CORTEX_MX_INT_85_ISR_PRI	EE_CORTEX_MX_GPIO_S_ISR_PRI
#endif	/* EE_CORTEX_MX_GPIO_S_ISR_PRI */
#endif	/* EE_CORTEX_MX_GPIO_S_ISR */


#ifdef	EE_CORTEX_MX_UART_0_ISR
#define	EE_CORTEX_MX_INT_05_ISR		EE_CORTEX_MX_UART_0_ISR
#ifdef	EE_CORTEX_MX_UART_0_ISR_PRI
#define	EE_CORTEX_MX_INT_05_ISR_PRI	EE_CORTEX_MX_UART_0_ISR_PRI
#endif	/* EE_CORTEX_MX_UART_0_ISR_PRI */
#endif	/* EE_CORTEX_MX_UART_0_ISR */


#ifdef	EE_CORTEX_MX_UART_1_ISR
#define	EE_CORTEX_MX_INT_06_ISR		EE_CORTEX_MX_UART_1_ISR
#ifdef	EE_CORTEX_MX_UART_1_ISR_PRI
#define	EE_CORTEX_MX_INT_06_ISR_PRI	EE_CORTEX_MX_UART_1_ISR_PRI
#endif	/* EE_CORTEX_MX_UART_1_ISR_PRI */
#endif	/* EE_CORTEX_MX_UART_1_ISR */


#ifdef	EE_CORTEX_MX_UART_2_ISR
#define	EE_CORTEX_MX_INT_21_ISR		EE_CORTEX_MX_UART_2_ISR
#ifdef	EE_CORTEX_MX_UART_2_ISR_PRI
#define	EE_CORTEX_MX_INT_21_ISR_PRI	EE_CORTEX_MX_UART_2_ISR_PRI
#endif	/* EE_CORTEX_MX_UART_2_ISR_PRI */
#endif	/* EE_CORTEX_MX_UART_2_ISR */


#ifdef	EE_CORTEX_MX_UART_3_ISR
#define	EE_CORTEX_MX_INT_3B_ISR		EE_CORTEX_MX_UART_3_ISR
#ifdef	EE_CORTEX_MX_UART_3_ISR_PRI
#define	EE_CORTEX_MX_INT_3B_ISR_PRI	EE_CORTEX_MX_UART_3_ISR_PRI
#endif	/* EE_CORTEX_MX_UART_3_ISR_PRI */
#endif	/* EE_CORTEX_MX_UART_3_ISR */


#ifdef	EE_CORTEX_MX_UART_4_ISR
#define	EE_CORTEX_MX_INT_3C_ISR		EE_CORTEX_MX_UART_4_ISR
#ifdef	EE_CORTEX_MX_UART_4_ISR_PRI
#define	EE_CORTEX_MX_INT_3C_ISR_PRI	EE_CORTEX_MX_UART_4_ISR_PRI
#endif	/* EE_CORTEX_MX_UART_4_ISR_PRI */
#endif	/* EE_CORTEX_MX_UART_4_ISR */


#ifdef	EE_CORTEX_MX_UART_5_ISR
#define	EE_CORTEX_MX_INT_3D_ISR		EE_CORTEX_MX_UART_5_ISR
#ifdef	EE_CORTEX_MX_UART_5_ISR_PRI
#define	EE_CORTEX_MX_INT_3D_ISR_PRI	EE_CORTEX_MX_UART_5_ISR_PRI
#endif	/* EE_CORTEX_MX_UART_5_ISR_PRI */
#endif	/* EE_CORTEX_MX_UART_5_ISR */


#ifdef	EE_CORTEX_MX_UART_6_ISR
#define	EE_CORTEX_MX_INT_3E_ISR		EE_CORTEX_MX_UART_6_ISR
#ifdef	EE_CORTEX_MX_UART_6_ISR_PRI
#define	EE_CORTEX_MX_INT_3E_ISR_PRI	EE_CORTEX_MX_UART_6_ISR_PRI
#endif	/* EE_CORTEX_MX_UART_6_ISR_PRI */
#endif	/* EE_CORTEX_MX_UART_6_ISR */


#ifdef	EE_CORTEX_MX_UART_7_ISR
#define	EE_CORTEX_MX_INT_3F_ISR		EE_CORTEX_MX_UART_7_ISR
#ifdef	EE_CORTEX_MX_UART_7_ISR_PRI
#define	EE_CORTEX_MX_INT_3F_ISR_PRI	EE_CORTEX_MX_UART_7_ISR_PRI
#endif	/* EE_CORTEX_MX_UART_7_ISR_PRI */
#endif	/* EE_CORTEX_MX_UART_7_ISR */


#ifdef	EE_CORTEX_MX_SSI_0_ISR
#define	EE_CORTEX_MX_INT_07_ISR		EE_CORTEX_MX_SSI_0_ISR
#ifdef	EE_CORTEX_MX_SSI_0_ISR_PRI
#define	EE_CORTEX_MX_INT_07_ISR_PRI	EE_CORTEX_MX_SSI_0_ISR_PRI
#endif	/* EE_CORTEX_MX_SSI_0_ISR_PRI */
#endif	/* EE_CORTEX_MX_SSI_0_ISR */


#ifdef	EE_CORTEX_MX_SSI_1_ISR
#define	EE_CORTEX_MX_INT_22_ISR		EE_CORTEX_MX_SSI_1_ISR
#ifdef	EE_CORTEX_MX_SSI_1_ISR_PRI
#define	EE_CORTEX_MX_INT_22_ISR_PRI	EE_CORTEX_MX_SSI_1_ISR_PRI
#endif	/* EE_CORTEX_MX_SSI_1_ISR_PRI */
#endif	/* EE_CORTEX_MX_SSI_1_ISR */


#ifdef	EE_CORTEX_MX_SSI_2_ISR
#define	EE_CORTEX_MX_INT_39_ISR		EE_CORTEX_MX_SSI_2_ISR
#ifdef	EE_CORTEX_MX_SSI_2_ISR_PRI
#define	EE_CORTEX_MX_INT_39_ISR_PRI	EE_CORTEX_MX_SSI_2_ISR_PRI
#endif	/* EE_CORTEX_MX_SSI_2_ISR_PRI */
#endif	/* EE_CORTEX_MX_SSI_2_ISR */


#ifdef	EE_CORTEX_MX_SSI_3_ISR
#define	EE_CORTEX_MX_INT_3A_ISR		EE_CORTEX_MX_SSI_3_ISR
#ifdef	EE_CORTEX_MX_SSI_3_ISR_PRI
#define	EE_CORTEX_MX_INT_3A_ISR_PRI	EE_CORTEX_MX_SSI_3_ISR_PRI
#endif	/* EE_CORTEX_MX_SSI_3_ISR_PRI */
#endif	/* EE_CORTEX_MX_SSI_3_ISR */


#ifdef	EE_CORTEX_MX_I2C_0_ISR
#define	EE_CORTEX_MX_INT_08_ISR		EE_CORTEX_MX_I2C_0_ISR
#ifdef	EE_CORTEX_MX_I2C_0_ISR_PRI
#define	EE_CORTEX_MX_INT_08_ISR_PRI	EE_CORTEX_MX_I2C_0_ISR_PRI
#endif	/* EE_CORTEX_MX_I2C_0_ISR_PRI */
#endif	/* EE_CORTEX_MX_I2C_0_ISR */


#ifdef	EE_CORTEX_MX_I2C_1_ISR
#define	EE_CORTEX_MX_INT_25_ISR		EE_CORTEX_MX_I2C_1_ISR
#ifdef	EE_CORTEX_MX_I2C_1_ISR_PRI
#define	EE_CORTEX_MX_INT_25_ISR_PRI	EE_CORTEX_MX_I2C_1_ISR_PRI
#endif	/* EE_CORTEX_MX_I2C_1_ISR_PRI */
#endif	/* EE_CORTEX_MX_I2C_1_ISR */


#ifdef	EE_CORTEX_MX_I2C_2_ISR
#define	EE_CORTEX_MX_INT_44_ISR		EE_CORTEX_MX_I2C_2_ISR
#ifdef	EE_CORTEX_MX_I2C_2_ISR_PRI
#define	EE_CORTEX_MX_INT_44_ISR_PRI	EE_CORTEX_MX_I2C_2_ISR_PRI
#endif	/* EE_CORTEX_MX_I2C_2_ISR_PRI */
#endif	/* EE_CORTEX_MX_I2C_2_ISR */


#ifdef	EE_CORTEX_MX_I2C_3_ISR
#define	EE_CORTEX_MX_INT_45_ISR		EE_CORTEX_MX_I2C_3_ISR
#ifdef	EE_CORTEX_MX_I2C_3_ISR_PRI
#define	EE_CORTEX_MX_INT_45_ISR_PRI	EE_CORTEX_MX_I2C_3_ISR_PRI
#endif	/* EE_CORTEX_MX_I2C_3_ISR_PRI */
#endif	/* EE_CORTEX_MX_I2C_3_ISR */


#ifdef	EE_CORTEX_MX_I2C_4_ISR
#define	EE_CORTEX_MX_INT_6D_ISR		EE_CORTEX_MX_I2C_4_ISR
#ifdef	EE_CORTEX_MX_I2C_4_ISR_PRI
#define	EE_CORTEX_MX_INT_6D_ISR_PRI	EE_CORTEX_MX_I2C_4_ISR_PRI
#endif	/* EE_CORTEX_MX_I2C_4_ISR_PRI */
#endif	/* EE_CORTEX_MX_I2C_4_ISR */


#ifdef	EE_CORTEX_MX_I2C_5_ISR
#define	EE_CORTEX_MX_INT_6E_ISR		EE_CORTEX_MX_I2C_5_ISR
#ifdef	EE_CORTEX_MX_I2C_5_ISR_PRI
#define	EE_CORTEX_MX_INT_6E_ISR_PRI	EE_CORTEX_MX_I2C_5_ISR_PRI
#endif	/* EE_CORTEX_MX_I2C_5_ISR_PRI */
#endif	/* EE_CORTEX_MX_I2C_5_ISR */


#ifdef	EE_CORTEX_MX_PWM_0_FAULT_ISR
#define	EE_CORTEX_MX_INT_09_ISR		EE_CORTEX_MX_PWM_0_FAULT_ISR
#ifdef	EE_CORTEX_MX_PWM_0_FAULT_ISR_PRI
#define	EE_CORTEX_MX_INT_09_ISR_PRI	EE_CORTEX_MX_PWM_0_FAULT_ISR_PRI
#endif	/* EE_CORTEX_MX_PWM_0_FAULT_ISR_PRI */
#endif	/* EE_CORTEX_MX_PWM_0_FAULT_ISR */


#ifdef	EE_CORTEX_MX_PWM_0_0_ISR
#define	EE_CORTEX_MX_INT_0A_ISR		EE_CORTEX_MX_PWM_0_0_ISR
#ifdef	EE_CORTEX_MX_PWM_0_0_ISR_PRI
#define	EE_CORTEX_MX_INT_0A_ISR_PRI	EE_CORTEX_MX_PWM_0_0_ISR_PRI
#endif	/* EE_CORTEX_MX_PWM_0_0_ISR_PRI */
#endif	/* EE_CORTEX_MX_PWM_0_0_ISR */


#ifdef	EE_CORTEX_MX_PWM_0_1_ISR
#define	EE_CORTEX_MX_INT_0B_ISR		EE_CORTEX_MX_PWM_0_1_ISR
#ifdef	EE_CORTEX_MX_PWM_0_1_ISR_PRI
#define	EE_CORTEX_MX_INT_0B_ISR_PRI	EE_CORTEX_MX_PWM_0_1_ISR_PRI
#endif	/* EE_CORTEX_MX_PWM_0_1_ISR_PRI */
#endif	/* EE_CORTEX_MX_PWM_0_1_ISR */


#ifdef	EE_CORTEX_MX_PWM_0_2_ISR
#define	EE_CORTEX_MX_INT_0C_ISR		EE_CORTEX_MX_PWM_0_2_ISR
#ifdef	EE_CORTEX_MX_PWM_0_2_ISR_PRI
#define	EE_CORTEX_MX_INT_0C_ISR_PRI	EE_CORTEX_MX_PWM_0_2_ISR_PRI
#endif	/* EE_CORTEX_MX_PWM_0_2_ISR_PRI */
#endif	/* EE_CORTEX_MX_PWM_0_2_ISR */


#ifdef	EE_CORTEX_MX_PWM_0_3_ISR
#define	EE_CORTEX_MX_INT_2D_ISR		EE_CORTEX_MX_PWM_0_3_ISR
#ifdef	EE_CORTEX_MX_PWM_0_3_ISR_PRI
#define	EE_CORTEX_MX_INT_2D_ISR_PRI	EE_CORTEX_MX_PWM_0_3_ISR_PRI
#endif	/* EE_CORTEX_MX_PWM_0_3_ISR_PRI */
#endif	/* EE_CORTEX_MX_PWM_0_3_ISR */


#ifdef	EE_CORTEX_MX_PWM_1_FAULT_ISR
#define	EE_CORTEX_MX_INT_8A_ISR		EE_CORTEX_MX_PWM_1_FAULT_ISR
#ifdef	EE_CORTEX_MX_PWM_1_FAULT_ISR_PRI
#define	EE_CORTEX_MX_INT_8A_ISR_PRI	EE_CORTEX_MX_PWM_1_FAULT_ISR_PRI
#endif	/* EE_CORTEX_MX_PWM_1_FAULT_ISR_PRI */
#endif	/* EE_CORTEX_MX_PWM_1_FAULT_ISR */


#ifdef	EE_CORTEX_MX_PWM_1_0_ISR
#define	EE_CORTEX_MX_INT_86_ISR		EE_CORTEX_MX_PWM_1_0_ISR
#ifdef	EE_CORTEX_MX_PWM_1_0_ISR_PRI
#define	EE_CORTEX_MX_INT_86_ISR_PRI	EE_CORTEX_MX_PWM_1_0_ISR_PRI
#endif	/* EE_CORTEX_MX_PWM_1_0_ISR_PRI */
#endif	/* EE_CORTEX_MX_PWM_1_0_ISR */


#ifdef	EE_CORTEX_MX_PWM_1_1_ISR
#define	EE_CORTEX_MX_INT_87_ISR		EE_CORTEX_MX_PWM_1_1_ISR
#ifdef	EE_CORTEX_MX_PWM_1_1_ISR_PRI
#define	EE_CORTEX_MX_INT_87_ISR_PRI	EE_CORTEX_MX_PWM_1_1_ISR_PRI
#endif	/* EE_CORTEX_MX_PWM_1_1_ISR_PRI */
#endif	/* EE_CORTEX_MX_PWM_1_1_ISR */


#ifdef	EE_CORTEX_MX_PWM_1_2_ISR
#define	EE_CORTEX_MX_INT_88_ISR		EE_CORTEX_MX_PWM_1_2_ISR
#ifdef	EE_CORTEX_MX_PWM_1_2_ISR_PRI
#define	EE_CORTEX_MX_INT_88_ISR_PRI	EE_CORTEX_MX_PWM_1_2_ISR_PRI
#endif	/* EE_CORTEX_MX_PWM_1_2_ISR_PRI */
#endif	/* EE_CORTEX_MX_PWM_1_2_ISR */


#ifdef	EE_CORTEX_MX_PWM_1_3_ISR
#define	EE_CORTEX_MX_INT_89_ISR		EE_CORTEX_MX_PWM_1_3_ISR
#ifdef	EE_CORTEX_MX_PWM_1_3_ISR_PRI
#define	EE_CORTEX_MX_INT_89_ISR_PRI	EE_CORTEX_MX_PWM_1_3_ISR_PRI
#endif	/* EE_CORTEX_MX_PWM_1_3_ISR_PRI */
#endif	/* EE_CORTEX_MX_PWM_1_3_ISR */


#ifdef	EE_CORTEX_MX_QUAD_ENC_0_ISR
#define	EE_CORTEX_MX_INT_0D_ISR		EE_CORTEX_MX_QUAD_ENC_0_ISR
#ifdef	EE_CORTEX_MX_QUAD_ENC_0_ISR_PRI
#define	EE_CORTEX_MX_INT_0D_ISR_PRI	EE_CORTEX_MX_QUAD_ENC_0_ISR_PRI
#endif	/* EE_CORTEX_MX_QUAD_ENC_0_ISR_PRI */
#endif	/* EE_CORTEX_MX_QUAD_ENC_0_ISR */


#ifdef	EE_CORTEX_MX_QUAD_ENC_1_ISR
#define	EE_CORTEX_MX_INT_26_ISR		EE_CORTEX_MX_QUAD_ENC_1_ISR
#ifdef	EE_CORTEX_MX_QUAD_ENC_1_ISR_PRI
#define	EE_CORTEX_MX_INT_26_ISR_PRI	EE_CORTEX_MX_QUAD_ENC_1_ISR_PRI
#endif	/* EE_CORTEX_MX_QUAD_ENC_1_ISR_PRI */
#endif	/* EE_CORTEX_MX_QUAD_ENC_1_ISR */


#ifdef	EE_CORTEX_MX_QUAD_ENC_2_ISR
#define	EE_CORTEX_MX_INT_71_ISR		EE_CORTEX_MX_QUAD_ENC_2_ISR
#ifdef	EE_CORTEX_MX_QUAD_ENC_2_ISR_PRI
#define	EE_CORTEX_MX_INT_71_ISR_PRI	EE_CORTEX_MX_QUAD_ENC_2_ISR_PRI
#endif	/* EE_CORTEX_MX_QUAD_ENC_2_ISR_PRI */
#endif	/* EE_CORTEX_MX_QUAD_ENC_2_ISR */


#ifdef	EE_CORTEX_MX_ADC_0_0_ISR
#define	EE_CORTEX_MX_INT_0E_ISR		EE_CORTEX_MX_ADC_0_0_ISR
#ifdef	EE_CORTEX_MX_ADC_0_0_ISR_PRI
#define	EE_CORTEX_MX_INT_0E_ISR_PRI	EE_CORTEX_MX_ADC_0_0_ISR_PRI
#endif	/* EE_CORTEX_MX_ADC_0_0_ISR_PRI */
#endif	/* EE_CORTEX_MX_ADC_0_0_ISR */


#ifdef	EE_CORTEX_MX_ADC_0_1_ISR
#define	EE_CORTEX_MX_INT_0F_ISR		EE_CORTEX_MX_ADC_0_1_ISR
#ifdef	EE_CORTEX_MX_ADC_0_1_ISR_PRI
#define	EE_CORTEX_MX_INT_0F_ISR_PRI	EE_CORTEX_MX_ADC_0_1_ISR_PRI
#endif	/* EE_CORTEX_MX_ADC_0_1_ISR_PRI */
#endif	/* EE_CORTEX_MX_ADC_0_1_ISR */


#ifdef	EE_CORTEX_MX_ADC_0_2_ISR
#define	EE_CORTEX_MX_INT_10_ISR		EE_CORTEX_MX_ADC_0_2_ISR
#ifdef	EE_CORTEX_MX_ADC_0_2_ISR_PRI
#define	EE_CORTEX_MX_INT_10_ISR_PRI	EE_CORTEX_MX_ADC_0_2_ISR_PRI
#endif	/* EE_CORTEX_MX_ADC_0_2_ISR_PRI */
#endif	/* EE_CORTEX_MX_ADC_0_2_ISR */


#ifdef	EE_CORTEX_MX_ADC_0_3_ISR
#define	EE_CORTEX_MX_INT_11_ISR		EE_CORTEX_MX_ADC_0_3_ISR
#ifdef	EE_CORTEX_MX_ADC_0_3_ISR_PRI
#define	EE_CORTEX_MX_INT_11_ISR_PRI	EE_CORTEX_MX_ADC_0_3_ISR_PRI
#endif	/* EE_CORTEX_MX_ADC_0_3_ISR_PRI */
#endif	/* EE_CORTEX_MX_ADC_0_3_ISR */


#ifdef	EE_CORTEX_MX_ADC_1_0_ISR
#define	EE_CORTEX_MX_INT_30_ISR		EE_CORTEX_MX_ADC_1_0_ISR
#ifdef	EE_CORTEX_MX_ADC_1_0_ISR_PRI
#define	EE_CORTEX_MX_INT_30_ISR_PRI	EE_CORTEX_MX_ADC_1_0_ISR_PRI
#endif	/* EE_CORTEX_MX_ADC_1_0_ISR_PRI */
#endif	/* EE_CORTEX_MX_ADC_1_0_ISR */


#ifdef	EE_CORTEX_MX_ADC_1_1_ISR
#define	EE_CORTEX_MX_INT_31_ISR		EE_CORTEX_MX_ADC_1_1_ISR
#ifdef	EE_CORTEX_MX_ADC_1_1_ISR_PRI
#define	EE_CORTEX_MX_INT_31_ISR_PRI	EE_CORTEX_MX_ADC_1_1_ISR_PRI
#endif	/* EE_CORTEX_MX_ADC_1_1_ISR_PRI */
#endif	/* EE_CORTEX_MX_ADC_1_1_ISR */


#ifdef	EE_CORTEX_MX_ADC_1_2_ISR
#define	EE_CORTEX_MX_INT_32_ISR		EE_CORTEX_MX_ADC_1_2_ISR
#ifdef	EE_CORTEX_MX_ADC_1_2_ISR_PRI
#define	EE_CORTEX_MX_INT_32_ISR_PRI	EE_CORTEX_MX_ADC_1_2_ISR_PRI
#endif	/* EE_CORTEX_MX_ADC_1_2_ISR_PRI */
#endif	/* EE_CORTEX_MX_ADC_1_2_ISR */


#ifdef	EE_CORTEX_MX_ADC_1_3_ISR
#define	EE_CORTEX_MX_INT_33_ISR		EE_CORTEX_MX_ADC_1_3_ISR
#ifdef	EE_CORTEX_MX_ADC_1_3_ISR_PRI
#define	EE_CORTEX_MX_INT_33_ISR_PRI	EE_CORTEX_MX_ADC_1_3_ISR_PRI
#endif	/* EE_CORTEX_MX_ADC_1_3_ISR_PRI */
#endif	/* EE_CORTEX_MX_ADC_1_3_ISR */


#ifdef	EE_CORTEX_MX_WATCHDOG_TIMER_ISR
#define	EE_CORTEX_MX_INT_12_ISR		EE_CORTEX_MX_WATCHDOG_TIMER_ISR
#ifdef	EE_CORTEX_MX_WATCHDOG_TIMER_ISR_PRI
#define	EE_CORTEX_MX_INT_12_ISR_PRI	EE_CORTEX_MX_WATCHDOG_TIMER_ISR_PRI
#endif	/* EE_CORTEX_MX_WATCHDOG_TIMER_ISR_PRI */
#endif	/* EE_CORTEX_MX_WATCHDOG_TIMER_ISR */


#ifdef	EE_CORTEX_MX_TIMER_0_A_ISR
#define	EE_CORTEX_MX_INT_13_ISR		EE_CORTEX_MX_TIMER_0_A_ISR
#ifdef	EE_CORTEX_MX_TIMER_0_A_ISR_PRI
#define	EE_CORTEX_MX_INT_13_ISR_PRI	EE_CORTEX_MX_TIMER_0_A_ISR_PRI
#endif	/* EE_CORTEX_MX_TIMER_0_A_ISR_PRI */
#endif	/* EE_CORTEX_MX_TIMER_0_A_ISR */


#ifdef	EE_CORTEX_MX_TIMER_0_B_ISR
#define	EE_CORTEX_MX_INT_14_ISR		EE_CORTEX_MX_TIMER_0_B_ISR
#ifdef	EE_CORTEX_MX_TIMER_0_B_ISR_PRI
#define	EE_CORTEX_MX_INT_14_ISR_PRI	EE_CORTEX_MX_TIMER_0_B_ISR_PRI
#endif	/* EE_CORTEX_MX_TIMER_0_B_ISR_PRI */
#endif	/* EE_CORTEX_MX_TIMER_0_B_ISR */


#ifdef	EE_CORTEX_MX_TIMER_1_A_ISR
#define	EE_CORTEX_MX_INT_15_ISR		EE_CORTEX_MX_TIMER_1_A_ISR
#ifdef	EE_CORTEX_MX_TIMER_1_A_ISR_PRI
#define	EE_CORTEX_MX_INT_15_ISR_PRI	EE_CORTEX_MX_TIMER_1_A_ISR_PRI
#endif	/* EE_CORTEX_MX_TIMER_1_A_ISR_PRI */
#endif	/* EE_CORTEX_MX_TIMER_1_A_ISR */


#ifdef	EE_CORTEX_MX_TIMER_1_B_ISR
#define	EE_CORTEX_MX_INT_16_ISR		EE_CORTEX_MX_TIMER_1_B_ISR
#ifdef	EE_CORTEX_MX_TIMER_1_B_ISR_PRI
#define	EE_CORTEX_MX_INT_16_ISR_PRI	EE_CORTEX_MX_TIMER_1_B_ISR_PRI
#endif	/* EE_CORTEX_MX_TIMER_1_B_ISR_PRI */
#endif	/* EE_CORTEX_MX_TIMER_1_B_ISR */


#ifdef	EE_CORTEX_MX_TIMER_2_A_ISR
#define	EE_CORTEX_MX_INT_17_ISR		EE_CORTEX_MX_TIMER_2_A_ISR
#ifdef	EE_CORTEX_MX_TIMER_2_A_ISR_PRI
#define	EE_CORTEX_MX_INT_17_ISR_PRI	EE_CORTEX_MX_TIMER_2_A_ISR_PRI
#endif	/* EE_CORTEX_MX_TIMER_2_A_ISR_PRI */
#endif	/* EE_CORTEX_MX_TIMER_2_A_ISR */


#ifdef	EE_CORTEX_MX_TIMER_2_B_ISR
#define	EE_CORTEX_MX_INT_18_ISR		EE_CORTEX_MX_TIMER_2_B_ISR
#ifdef	EE_CORTEX_MX_TIMER_2_B_ISR_PRI
#define	EE_CORTEX_MX_INT_18_ISR_PRI	EE_CORTEX_MX_TIMER_2_B_ISR_PRI
#endif	/* EE_CORTEX_MX_TIMER_2_B_ISR_PRI */
#endif	/* EE_CORTEX_MX_TIMER_2_B_ISR */


#ifdef	EE_CORTEX_MX_TIMER_3_A_ISR
#define	EE_CORTEX_MX_INT_23_ISR		EE_CORTEX_MX_TIMER_3_A_ISR
#ifdef	EE_CORTEX_MX_TIMER_3_A_ISR_PRI
#define	EE_CORTEX_MX_INT_23_ISR_PRI	EE_CORTEX_MX_TIMER_3_A_ISR_PRI
#endif	/* EE_CORTEX_MX_TIMER_3_A_ISR_PRI */
#endif	/* EE_CORTEX_MX_TIMER_3_A_ISR */


#ifdef	EE_CORTEX_MX_TIMER_3_B_ISR
#define	EE_CORTEX_MX_INT_24_ISR		EE_CORTEX_MX_TIMER_3_B_ISR
#ifdef	EE_CORTEX_MX_TIMER_3_B_ISR_PRI
#define	EE_CORTEX_MX_INT_24_ISR_PRI	EE_CORTEX_MX_TIMER_3_B_ISR_PRI
#endif	/* EE_CORTEX_MX_TIMER_3_B_ISR_PRI */
#endif	/* EE_CORTEX_MX_TIMER_3_B_ISR */


#ifdef	EE_CORTEX_MX_TIMER_4_A_ISR
#define	EE_CORTEX_MX_INT_46_ISR		EE_CORTEX_MX_TIMER_4_A_ISR
#ifdef	EE_CORTEX_MX_TIMER_4_A_ISR_PRI
#define	EE_CORTEX_MX_INT_46_ISR_PRI	EE_CORTEX_MX_TIMER_4_A_ISR_PRI
#endif	/* EE_CORTEX_MX_TIMER_4_A_ISR_PRI */
#endif	/* EE_CORTEX_MX_TIMER_4_A_ISR */


#ifdef	EE_CORTEX_MX_TIMER_4_B_ISR
#define	EE_CORTEX_MX_INT_47_ISR		EE_CORTEX_MX_TIMER_4_B_ISR
#ifdef	EE_CORTEX_MX_TIMER_4_B_ISR_PRI
#define	EE_CORTEX_MX_INT_47_ISR_PRI	EE_CORTEX_MX_TIMER_4_B_ISR_PRI
#endif	/* EE_CORTEX_MX_TIMER_4_B_ISR_PRI */
#endif	/* EE_CORTEX_MX_TIMER_4_B_ISR */


#ifdef	EE_CORTEX_MX_TIMER_5_A_ISR
#define	EE_CORTEX_MX_INT_5C_ISR		EE_CORTEX_MX_TIMER_5_A_ISR
#ifdef	EE_CORTEX_MX_TIMER_5_A_ISR_PRI
#define	EE_CORTEX_MX_INT_5C_ISR_PRI	EE_CORTEX_MX_TIMER_5_A_ISR_PRI
#endif	/* EE_CORTEX_MX_TIMER_5_A_ISR_PRI */
#endif	/* EE_CORTEX_MX_TIMER_5_A_ISR */


#ifdef	EE_CORTEX_MX_TIMER_5_B_ISR
#define	EE_CORTEX_MX_INT_5D_ISR		EE_CORTEX_MX_TIMER_5_B_ISR
#ifdef	EE_CORTEX_MX_TIMER_5_B_ISR_PRI
#define	EE_CORTEX_MX_INT_5D_ISR_PRI	EE_CORTEX_MX_TIMER_5_B_ISR_PRI
#endif	/* EE_CORTEX_MX_TIMER_5_B_ISR_PRI */
#endif	/* EE_CORTEX_MX_TIMER_5_B_ISR */


#ifdef	EE_CORTEX_MX_WIDE_TIMER_0_A_ISR
#define	EE_CORTEX_MX_INT_5E_ISR		EE_CORTEX_MX_WIDE_TIMER_0_A_ISR
#ifdef	EE_CORTEX_MX_WIDE_TIMER_0_A_ISR_PRI
#define	EE_CORTEX_MX_INT_5E_ISR_PRI	EE_CORTEX_MX_WIDE_TIMER_0_A_ISR_PRI
#endif	/* EE_CORTEX_MX_WIDE_TIMER_0_A_ISR_PRI */
#endif	/* EE_CORTEX_MX_WIDE_TIMER_0_A_ISR */


#ifdef	EE_CORTEX_MX_WIDE_TIMER_0_B_ISR
#define	EE_CORTEX_MX_INT_5F_ISR		EE_CORTEX_MX_WIDE_TIMER_0_B_ISR
#ifdef	EE_CORTEX_MX_WIDE_TIMER_0_B_ISR_PRI
#define	EE_CORTEX_MX_INT_5F_ISR_PRI	EE_CORTEX_MX_WIDE_TIMER_0_B_ISR_PRI
#endif	/* EE_CORTEX_MX_WIDE_TIMER_0_B_ISR_PRI */
#endif	/* EE_CORTEX_MX_WIDE_TIMER_0_B_ISR */


#ifdef	EE_CORTEX_MX_WIDE_TIMER_1_A_ISR
#define	EE_CORTEX_MX_INT_60_ISR		EE_CORTEX_MX_WIDE_TIMER_1_A_ISR
#ifdef	EE_CORTEX_MX_WIDE_TIMER_1_A_ISR_PRI
#define	EE_CORTEX_MX_INT_60_ISR_PRI	EE_CORTEX_MX_WIDE_TIMER_1_A_ISR_PRI
#endif	/* EE_CORTEX_MX_WIDE_TIMER_1_A_ISR_PRI */
#endif	/* EE_CORTEX_MX_WIDE_TIMER_1_A_ISR */


#ifdef	EE_CORTEX_MX_WIDE_TIMER_1_B_ISR
#define	EE_CORTEX_MX_INT_61_ISR		EE_CORTEX_MX_WIDE_TIMER_1_B_ISR
#ifdef	EE_CORTEX_MX_WIDE_TIMER_1_B_ISR_PRI
#define	EE_CORTEX_MX_INT_61_ISR_PRI	EE_CORTEX_MX_WIDE_TIMER_1_B_ISR_PRI
#endif	/* EE_CORTEX_MX_WIDE_TIMER_1_B_ISR_PRI */
#endif	/* EE_CORTEX_MX_WIDE_TIMER_1_B_ISR */


#ifdef	EE_CORTEX_MX_WIDE_TIMER_2_A_ISR
#define	EE_CORTEX_MX_INT_62_ISR		EE_CORTEX_MX_WIDE_TIMER_2_A_ISR
#ifdef	EE_CORTEX_MX_WIDE_TIMER_2_A_ISR_PRI
#define	EE_CORTEX_MX_INT_62_ISR_PRI	EE_CORTEX_MX_WIDE_TIMER_2_A_ISR_PRI
#endif	/* EE_CORTEX_MX_WIDE_TIMER_2_A_ISR_PRI */
#endif	/* EE_CORTEX_MX_WIDE_TIMER_2_A_ISR */


#ifdef	EE_CORTEX_MX_WIDE_TIMER_2_B_ISR
#define	EE_CORTEX_MX_INT_63_ISR		EE_CORTEX_MX_WIDE_TIMER_2_B_ISR
#ifdef	EE_CORTEX_MX_WIDE_TIMER_2_B_ISR_PRI
#define	EE_CORTEX_MX_INT_63_ISR_PRI	EE_CORTEX_MX_WIDE_TIMER_2_B_ISR_PRI
#endif	/* EE_CORTEX_MX_WIDE_TIMER_2_B_ISR_PRI */
#endif	/* EE_CORTEX_MX_WIDE_TIMER_2_B_ISR */


#ifdef	EE_CORTEX_MX_WIDE_TIMER_3_A_ISR
#define	EE_CORTEX_MX_INT_64_ISR		EE_CORTEX_MX_WIDE_TIMER_3_A_ISR
#ifdef	EE_CORTEX_MX_WIDE_TIMER_3_A_ISR_PRI
#define	EE_CORTEX_MX_INT_64_ISR_PRI	EE_CORTEX_MX_WIDE_TIMER_3_A_ISR_PRI
#endif	/* EE_CORTEX_MX_WIDE_TIMER_3_A_ISR_PRI */
#endif	/* EE_CORTEX_MX_WIDE_TIMER_3_A_ISR */


#ifdef	EE_CORTEX_MX_WIDE_TIMER_3_B_ISR
#define	EE_CORTEX_MX_INT_65_ISR		EE_CORTEX_MX_WIDE_TIMER_3_B_ISR
#ifdef	EE_CORTEX_MX_WIDE_TIMER_3_B_ISR_PRI
#define	EE_CORTEX_MX_INT_65_ISR_PRI	EE_CORTEX_MX_WIDE_TIMER_3_B_ISR_PRI
#endif	/* EE_CORTEX_MX_WIDE_TIMER_3_B_ISR_PRI */
#endif	/* EE_CORTEX_MX_WIDE_TIMER_3_B_ISR */


#ifdef	EE_CORTEX_MX_WIDE_TIMER_4_A_ISR
#define	EE_CORTEX_MX_INT_66_ISR		EE_CORTEX_MX_WIDE_TIMER_4_A_ISR
#ifdef	EE_CORTEX_MX_WIDE_TIMER_4_A_ISR_PRI
#define	EE_CORTEX_MX_INT_66_ISR_PRI	EE_CORTEX_MX_WIDE_TIMER_4_A_ISR_PRI
#endif	/* EE_CORTEX_MX_WIDE_TIMER_4_A_ISR_PRI */
#endif	/* EE_CORTEX_MX_WIDE_TIMER_4_A_ISR */


#ifdef	EE_CORTEX_MX_WIDE_TIMER_4_B_ISR
#define	EE_CORTEX_MX_INT_67_ISR		EE_CORTEX_MX_WIDE_TIMER_4_B_ISR
#ifdef	EE_CORTEX_MX_WIDE_TIMER_4_B_ISR_PRI
#define	EE_CORTEX_MX_INT_67_ISR_PRI	EE_CORTEX_MX_WIDE_TIMER_4_B_ISR_PRI
#endif	/* EE_CORTEX_MX_WIDE_TIMER_4_B_ISR_PRI */
#endif	/* EE_CORTEX_MX_WIDE_TIMER_4_B_ISR */


#ifdef	EE_CORTEX_MX_WIDE_TIMER_5_A_ISR
#define	EE_CORTEX_MX_INT_68_ISR		EE_CORTEX_MX_WIDE_TIMER_5_A_ISR
#ifdef	EE_CORTEX_MX_WIDE_TIMER_5_A_ISR_PRI
#define	EE_CORTEX_MX_INT_68_ISR_PRI	EE_CORTEX_MX_WIDE_TIMER_5_A_ISR_PRI
#endif	/* EE_CORTEX_MX_WIDE_TIMER_5_A_ISR_PRI */
#endif	/* EE_CORTEX_MX_WIDE_TIMER_5_A_ISR */


#ifdef	EE_CORTEX_MX_WIDE_TIMER_5_B_ISR
#define	EE_CORTEX_MX_INT_69_ISR		EE_CORTEX_MX_WIDE_TIMER_5_B_ISR
#ifdef	EE_CORTEX_MX_WIDE_TIMER_5_B_ISR_PRI
#define	EE_CORTEX_MX_INT_69_ISR_PRI	EE_CORTEX_MX_WIDE_TIMER_5_B_ISR_PRI
#endif	/* EE_CORTEX_MX_WIDE_TIMER_5_B_ISR_PRI */
#endif	/* EE_CORTEX_MX_WIDE_TIMER_5_B_ISR */


#ifdef	EE_CORTEX_MX_ANALOG_CMP_0_ISR
#define	EE_CORTEX_MX_INT_19_ISR		EE_CORTEX_MX_ANALOG_CMP_0_ISR
#ifdef	EE_CORTEX_MX_ANALOG_CMP_0_ISR_PRI
#define	EE_CORTEX_MX_INT_19_ISR_PRI	EE_CORTEX_MX_ANALOG_CMP_0_ISR_PRI
#endif	/* EE_CORTEX_MX_ANALOG_CMP_0_ISR_PRI */
#endif	/* EE_CORTEX_MX_ANALOG_CMP_0_ISR */


#ifdef	EE_CORTEX_MX_ANALOG_CMP_1_ISR
#define	EE_CORTEX_MX_INT_1A_ISR		EE_CORTEX_MX_ANALOG_CMP_1_ISR
#ifdef	EE_CORTEX_MX_ANALOG_CMP_1_ISR_PRI
#define	EE_CORTEX_MX_INT_1A_ISR_PRI	EE_CORTEX_MX_ANALOG_CMP_1_ISR_PRI
#endif	/* EE_CORTEX_MX_ANALOG_CMP_1_ISR_PRI */
#endif	/* EE_CORTEX_MX_ANALOG_CMP_1_ISR */


#ifdef	EE_CORTEX_MX_ANALOG_CMP_2_ISR
#define	EE_CORTEX_MX_INT_1B_ISR		EE_CORTEX_MX_ANALOG_CMP_2_ISR
#ifdef	EE_CORTEX_MX_ANALOG_CMP_2_ISR_PRI
#define	EE_CORTEX_MX_INT_1B_ISR_PRI	EE_CORTEX_MX_ANALOG_CMP_2_ISR_PRI
#endif	/* EE_CORTEX_MX_ANALOG_CMP_2_ISR_PRI */
#endif	/* EE_CORTEX_MX_ANALOG_CMP_2_ISR */


#ifdef	EE_CORTEX_MX_SYS_CTRL_ISR
#define	EE_CORTEX_MX_INT_1C_ISR		EE_CORTEX_MX_SYS_CTRL_ISR
#ifdef	EE_CORTEX_MX_SYS_CTRL_ISR_PRI
#define	EE_CORTEX_MX_INT_1C_ISR_PRI	EE_CORTEX_MX_SYS_CTRL_ISR_PRI
#endif	/* EE_CORTEX_MX_SYS_CTRL_ISR_PRI */
#endif	/* EE_CORTEX_MX_SYS_CTRL_ISR */


#ifdef	EE_CORTEX_MX_FLASH_CTRL_ISR
#define	EE_CORTEX_MX_INT_1D_ISR		EE_CORTEX_MX_FLASH_CTRL_ISR
#ifdef	EE_CORTEX_MX_FLASH_CTRL_ISR_PRI
#define	EE_CORTEX_MX_INT_1D_ISR_PRI	EE_CORTEX_MX_FLASH_CTRL_ISR_PRI
#endif	/* EE_CORTEX_MX_FLASH_CTRL_ISR_PRI */
#endif	/* EE_CORTEX_MX_FLASH_CTRL_ISR */


#ifdef	EE_CORTEX_MX_CAN_0_ISR
#define	EE_CORTEX_MX_INT_27_ISR		EE_CORTEX_MX_CAN_0_ISR
#ifdef	EE_CORTEX_MX_CAN_0_ISR_PRI
#define	EE_CORTEX_MX_INT_27_ISR_PRI	EE_CORTEX_MX_CAN_0_ISR_PRI
#endif	/* EE_CORTEX_MX_CAN_0_ISR_PRI */
#endif	/* EE_CORTEX_MX_CAN_0_ISR */


#ifdef	EE_CORTEX_MX_CAN_1_ISR
#define	EE_CORTEX_MX_INT_28_ISR		EE_CORTEX_MX_CAN_1_ISR
#ifdef	EE_CORTEX_MX_CAN_1_ISR_PRI
#define	EE_CORTEX_MX_INT_28_ISR_PRI	EE_CORTEX_MX_CAN_1_ISR_PRI
#endif	/* EE_CORTEX_MX_CAN_1_ISR_PRI */
#endif	/* EE_CORTEX_MX_CAN_1_ISR */


#ifdef	EE_CORTEX_MX_CAN_2_ISR
#define	EE_CORTEX_MX_INT_29_ISR		EE_CORTEX_MX_CAN_2_ISR
#ifdef	EE_CORTEX_MX_CAN_2_ISR_PRI
#define	EE_CORTEX_MX_INT_29_ISR_PRI	EE_CORTEX_MX_CAN_2_ISR_PRI
#endif	/* EE_CORTEX_MX_CAN_2_ISR_PRI */
#endif	/* EE_CORTEX_MX_CAN_2_ISR */


#ifdef	EE_CORTEX_MX_ETHERNET_ISR
#define	EE_CORTEX_MX_INT_2A_ISR		EE_CORTEX_MX_ETHERNET_ISR
#ifdef	EE_CORTEX_MX_ETHERNET_ISR_PRI
#define	EE_CORTEX_MX_INT_2A_ISR_PRI	EE_CORTEX_MX_ETHERNET_ISR_PRI
#endif	/* EE_CORTEX_MX_ETHERNET_ISR_PRI */
#endif	/* EE_CORTEX_MX_ETHERNET_ISR */


#ifdef	EE_CORTEX_MX_HIBERNATE_ISR
#define	EE_CORTEX_MX_INT_2B_ISR		EE_CORTEX_MX_HIBERNATE_ISR
#ifdef	EE_CORTEX_MX_HIBERNATE_ISR_PRI
#define	EE_CORTEX_MX_INT_2B_ISR_PRI	EE_CORTEX_MX_HIBERNATE_ISR_PRI
#endif	/* EE_CORTEX_MX_HIBERNATE_ISR_PRI */
#endif	/* EE_CORTEX_MX_HIBERNATE_ISR */


#ifdef	EE_CORTEX_MX_USB_0_ISR
#define	EE_CORTEX_MX_INT_2C_ISR		EE_CORTEX_MX_USB_0_ISR
#ifdef	EE_CORTEX_MX_USB_0_ISR_PRI
#define	EE_CORTEX_MX_INT_2C_ISR_PRI	EE_CORTEX_MX_USB_0_ISR_PRI
#endif	/* EE_CORTEX_MX_USB_0_ISR_PRI */
#endif	/* EE_CORTEX_MX_USB_0_ISR */


#ifdef	EE_CORTEX_MX_UDMA_SOFT_TRANSF_ISR
#define	EE_CORTEX_MX_INT_2E_ISR		EE_CORTEX_MX_UDMA_SOFT_TRANSF_ISR
#ifdef	EE_CORTEX_MX_UDMA_SOFT_TRANSF_ISR_PRI
#define	EE_CORTEX_MX_INT_2E_ISR_PRI	EE_CORTEX_MX_UDMA_SOFT_TRANSF_ISR_PRI
#endif	/* EE_CORTEX_MX_UDMA_SOFT_TRANSF_ISR_PRI */
#endif	/* EE_CORTEX_MX_UDMA_SOFT_TRANSF_ISR */


#ifdef	EE_CORTEX_MX_UDMA_ERR_ISR
#define	EE_CORTEX_MX_INT_2F_ISR		EE_CORTEX_MX_UDMA_ERR_ISR
#ifdef	EE_CORTEX_MX_UDMA_ERR_ISR_PRI
#define	EE_CORTEX_MX_INT_2F_ISR_PRI	EE_CORTEX_MX_UDMA_ERR_ISR_PRI
#endif	/* EE_CORTEX_MX_UDMA_ERR_ISR_PRI */
#endif	/* EE_CORTEX_MX_UDMA_ERR_ISR */


#ifdef	EE_CORTEX_MX_I2S_0_ISR
#define	EE_CORTEX_MX_INT_34_ISR		EE_CORTEX_MX_I2S_0_ISR
#ifdef	EE_CORTEX_MX_I2S_0_ISR_PRI
#define	EE_CORTEX_MX_INT_34_ISR_PRI	EE_CORTEX_MX_I2S_0_ISR_PRI
#endif	/* EE_CORTEX_MX_I2S_0_ISR_PRI */
#endif	/* EE_CORTEX_MX_I2S_0_ISR */


#ifdef	EE_CORTEX_MX_EXT_BUS_0_ISR
#define	EE_CORTEX_MX_INT_35_ISR		EE_CORTEX_MX_EXT_BUS_0_ISR
#ifdef	EE_CORTEX_MX_EXT_BUS_0_ISR_PRI
#define	EE_CORTEX_MX_INT_35_ISR_PRI	EE_CORTEX_MX_EXT_BUS_0_ISR_PRI
#endif	/* EE_CORTEX_MX_EXT_BUS_0_ISR_PRI */
#endif	/* EE_CORTEX_MX_EXT_BUS_0_ISR */


#ifdef	EE_CORTEX_MX_FPU_ISR
#define	EE_CORTEX_MX_INT_6A_ISR		EE_CORTEX_MX_FPU_ISR
#ifdef	EE_CORTEX_MX_FPU_ISR_PRI
#define	EE_CORTEX_MX_INT_6A_ISR_PRI	EE_CORTEX_MX_FPU_ISR_PRI
#endif	/* EE_CORTEX_MX_FPU_ISR_PRI */
#endif	/* EE_CORTEX_MX_FPU_ISR */


#ifdef	EE_CORTEX_MX_PECI_0_ISR
#define	EE_CORTEX_MX_INT_6B_ISR		EE_CORTEX_MX_PECI_0_ISR
#ifdef	EE_CORTEX_MX_PECI_0_ISR_PRI
#define	EE_CORTEX_MX_INT_6B_ISR_PRI	EE_CORTEX_MX_PECI_0_ISR_PRI
#endif	/* EE_CORTEX_MX_PECI_0_ISR_PRI */
#endif	/* EE_CORTEX_MX_PECI_0_ISR */


#ifdef	EE_CORTEX_MX_LCP_0_ISR
#define	EE_CORTEX_MX_INT_6C_ISR		EE_CORTEX_MX_LCP_0_ISR
#ifdef	EE_CORTEX_MX_LCP_0_ISR_PRI
#define	EE_CORTEX_MX_INT_6C_ISR_PRI	EE_CORTEX_MX_LCP_0_ISR_PRI
#endif	/* EE_CORTEX_MX_LCP_0_ISR_PRI */
#endif	/* EE_CORTEX_MX_LCP_0_ISR */


#ifdef	EE_CORTEX_MX_FAN_0_ISR
#define	EE_CORTEX_MX_INT_6D_ISR		EE_CORTEX_MX_FAN_0_ISR
#ifdef	EE_CORTEX_MX_FAN_0_ISR_PRI
#define	EE_CORTEX_MX_INT_6D_ISR_PRI	EE_CORTEX_MX_FAN_0_ISR_PRI
#endif	/* EE_CORTEX_MX_FAN_0_ISR_PRI */
#endif	/* EE_CORTEX_MX_FAN_0_ISR */


#endif	/* __STELLARIS__ && __LM4F232xxxx__ */

#endif /* __INCLUDE_STELLARIS_LM4F232XXXX_IRQ_SOURCES_H__ */
